Skip to main content
PUT
Update an External Account

Authorizations

Api-Key
string
header
required

Path Parameters

customerID
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*
externalAccountID
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*

Body

application/json

External Account details to be updated

address
object
write-only

Address of the beneficiary of this account.

account
object

US bank account information. Required when the account_type is us.

Response

External Account object updated

US bank account using account and routing numbers for ACH or Wire transfers

id
string
required
read-only

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*
customer_id
string
required
read-only

The id of the Bridge customer that this External Account belongs to

Minimum string length: 1
account_owner_name
string
required

Owner of the account Bank Account (e.g. "John Doe"). For ach, wire, and iban accounts, this field must be at least 3 characters, at most 35 characters, and follow the regex pattern for the given account type:

  • ach: ^(?!\s*$)[\x20-\x7E]*$
  • wire: ^[ \w!"#$%&'()+,\-./:;<=>?@\\_`~]*$
  • iban: ^(?![:\- ]*$)[a-zA-Z0-9\/\-?:().,'+ _]+$
Required string length: 1 - 256
created_at
string<date-time>
required
read-only

Time of creation of the External Account

updated_at
string<date-time>
required
read-only

Time of last update of the External Account

active
boolean
required
read-only

Whether or not this External Account is active

account_type
enum<string>
required

Type of the bank account.

Available options:
us
currency
enum<string>
required

Currency associated with the bank account. Must be usd for US accounts.

Available options:
usd
account
us · object
required
bank_name
string

Bank name of the account (e.g. "Chase")

Required string length: 1 - 256
account_owner_type
enum<string>

The type of the account ownership. Required when the account_type is iban. For individual ownership, first_name and last_name are required. For business ownership, business_name is required.

Available options:
individual,
business
first_name
string

First name of the individual account holder. Required when the account_owner_type is individual

last_name
string

Last name of the individual account holder. Required when the account_owner_type is individual

business_name
string

Business name of the business account holder. Required when the account_owner_type is business

address
object

Address of the beneficiary of this account. Please ensure the address is valid (Google Maps is good for this). US addresses used to receive wires must include a street number.

account_owner_country
string
read-only

Three-letter alpha-3 country of residence of the account owner (ISO 3166-1), used for regulatory reporting. Omitted when unknown.

Required string length: 3
deactivation_reason
enum<string>
read-only

Reason for deactivation when this External Account is inactive

Available options:
plaid_item_error,
deactivated_due_to_bounceback,
deleted_by_developer,
requested_by_developer,
invalid_account_number,
invalid_bank_validation,
rejected_by_bank_provider
deactivation_details
string
read-only

Additional details about the deactivation when this External Account is inactive

beneficiary_address_valid
boolean
read-only

Whether the beneficiary address is valid. A valid beneficiary address is required for all US External Accounts

last_4
string
deprecated
read-only

Last 4 digits of the bank account number. This field is getting deprecated in favor of the account.last_4 field

Minimum string length: 1
account_verification
object | null

Present for accounts with a holder verification check; contains the verification result keyed by account type.